package com.terry.store.user.dao;

import com.terry.store.user.dto.User;

/**
 * 用户的数据处理接口
 *
 * @author terry
 */
public interface UserMapper {
    /**
     * 根据用户ID查找用户
     *
     * @param id 用户id
     * @return 用户
     */
    User getUserById(int id);
}
